RTEMS: Dual Ported Memory Manager Implementation

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions | Variables
Dual Ported Memory Manager Implementation
Internal » Classic

## Files
file | dpmemdata.h
| Classic Dual Ported Memory Manager Data Structures.
file | dpmemimpl.h
| Dual Ported Memory Manager Implementation.

## Data Structures
struct | Dual_ported_memory_Control

## Macros
#define | DUAL_PORTED_MEMORY_INFORMATION_DEFINE(max)
| Macro to define the objects information for the Classic Dual Ported Memory objects.

## Functions
RTEMS_INLINE_ROUTINE Dual_ported_memory_Control * | _Dual_ported_memory_Allocate (void)
| Allocates a port control block from the inactive chain of free port control blocks.
RTEMS_INLINE_ROUTINE void | _Dual_ported_memory_Free (Dual_ported_memory_Control *the_port)
| Frees a port control block to the inactive chain of free port control blocks.
RTEMS_INLINE_ROUTINE Dual_ported_memory_Control * | _Dual_ported_memory_Get (Objects_Id id, ISR_lock_Context *lock_context)

## Variables
Objects_Information | _Dual_ported_memory_Information
| The Classic Dual Ported Memory objects information.

## Detailed Description

## Macro Definition Documentation

## ◆ DUAL_PORTED_MEMORY_INFORMATION_DEFINE

#define DUAL_PORTED_MEMORY_INFORMATION_DEFINE | ( |  | max | ) |

Value:
OBJECTS_INFORMATION_DEFINE( \
_Dual_ported_memory, \
OBJECTS_CLASSIC_API, \
OBJECTS_RTEMS_PORTS, \
Dual_ported_memory_Control, \
max, \
OBJECTS_NO_STRING_NAME, \
NULL \
)
NULL
#define NULL
Requests a GPIO pin group configuration.
Definition: bestcomm_api.h:77
OBJECTS_NO_STRING_NAME
#define OBJECTS_NO_STRING_NAME
Constant for the object information string name length to indicate that this object class has no stri...
Definition: objectdata.h:101
OBJECTS_INFORMATION_DEFINE
#define OBJECTS_INFORMATION_DEFINE(name, api, cls, type, max, nl, ex)
Statically initializes an objects information.
Definition: objectdata.h:427
Dual_ported_memory_Control
Definition: dpmemdata.h:38

Macro to define the objects information for the Classic Dual Ported Memory objects.

This macro should only be used by <rtems/confdefs.h>.

Parameters

  max | The configured object maximum (the OBJECTS_UNLIMITED_OBJECTS flag may be set).

## Function Documentation

## ◆ _Dual_ported_memory_Allocate()

RTEMS_INLINE_ROUTINE Dual_ported_memory_Control * _Dual_ported_memory_Allocate | ( | void |  | ) |

Allocates a port control block from the inactive chain of free port control blocks.

This routine allocates a port control block from the inactive chain of free port control blocks.

## ◆ _Dual_ported_memory_Free()

RTEMS_INLINE_ROUTINE void _Dual_ported_memory_Free | ( | Dual_ported_memory_Control * | the_port | ) |

Frees a port control block to the inactive chain of free port control blocks.

This routine frees a port control block to the inactive chain of free port control blocks.